jQuery(document).ready(function ($) {
    $('#post_type').change(function () {
        var postType = $(this).val();
        if (postType === 'post') {
            $('#post_categories').show();
        } else {
            $('#post_categories').hide();
        }
    });

    $('#post_status').change(function () {
        var postStatus = $(this).val();
        if (postStatus === 'schedule') {
            $('#schedule_interval').show();
        } else {
            $('#schedule_interval').hide();
        }
    });

    // Trigger change event on page load to set initial state
    $('#post_type').trigger('change');
    $('#post_status').trigger('change');
});
